<?php
// API URL'sini ve API anahtarını belirleyin
$api_url = 'https://api.themoviedb.org/3/person/' . $_GET['id'] . '?api_key=63fd1ed0aa746bf66c0513b79c7b2b8f&language=tr-TR';

session_start();
require 'db.php'; // Veritabanı bağlantısı

// Kullanıcının giriş yapmış olup olmadığını kontrol et
$userLoggedIn = isset($_SESSION['user_id']);

// Kullanıcı giriş yapmışsa, kullanıcı ID'sini al
$userId = $_SESSION['user_id'] ?? null;

include 'navbar.php';

// API'ye istek yapın ve veriyi alın
$response = file_get_contents($api_url);

// Veriyi diziye dönüştürün
$actor_data = json_decode($response, true);

// Eğer veri yoksa veya hata varsa, hata sayfasına yönlendirin veya mesaj gösterin
if (isset($actor_data['status_code']) && $actor_data['status_code'] === 34) {
    // Özel durum: Belirtilen aktör bulunamadı
    echo "Belirtilen aktör bulunamadı.";
    exit;
}

// API'den aktörün oynadığı filmleri alın
$api_movies_url = 'https://api.themoviedb.org/3/person/' . $_GET['id'] . '/movie_credits?api_key=63fd1ed0aa746bf66c0513b79c7b2b8f&language=tr-TR';
$response_movies = file_get_contents($api_movies_url);
$movie_credits = json_decode($response_movies, true);

// Aktörün oynadığı film sayısını alın
$movie_count = count($movie_credits['cast']);

// Başlıkta aktör adını ve film sayısını göstermek için
$page_title = htmlspecialchars($actor_data['name']) . ' - Foxy';
?>

<!DOCTYPE html>
<html lang="tr">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo $page_title; ?></title>
    <!-- Google tag (gtag.js) -->
    <script async src="https://www.googletagmanager.com/gtag/js?id=G-JW4L56PTPX"></script>
    <script>
        window.dataLayer = window.dataLayer || [];

        function gtag() {
            dataLayer.push(arguments);
        }
        gtag('js', new Date());

        gtag('config', 'G-JW4L56PTPX');
    </script>
    <meta name="description" content="<?php echo htmlspecialchars($actor_data['name']); ?> - <?php echo !empty($actor_data['biography']) ? htmlspecialchars($actor_data['biography']) : 'Aktörün biyografisi henüz dilimize eklenmemiş.'; ?>">
    <meta property="og:title" content="<?php echo $page_title; ?> | <?php echo $movie_count; ?> filmde rol aldı.">
    <meta property="og:description" content="<?php echo htmlspecialchars($actor_data['name']); ?> - <?php echo !empty($actor_data['biography']) ? htmlspecialchars($actor_data['biography']) : 'Aktörün biyografisi henüz dilimize eklenmemiş.'; ?>">
    <meta property="og:image" content="https://image.tmdb.org/t/p/original<?php echo htmlspecialchars($actor_data['profile_path']); ?>">
    <meta property="og:url" content="<?php echo htmlspecialchars($_SERVER['REQUEST_URI']); ?>">
    <!-- Tailwind CSS CDN -->
    <link href="https://cdn.jsdelivr.net/npm/tailwindcss@2.2.19/dist/tailwind.min.css" rel="stylesheet">
    <!-- Font Awesome CDN -->
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css" rel="stylesheet">
</head>

<body class="bg-gray-100">

    <div class="container mx-auto px-4 py-8">
        <div class="flex flex-col items-center space-y-4 sm:flex-row sm:items-start sm:space-x-4">
            <?php if (!empty($actor_data['profile_path'])) : ?>
                <img src="https://image.tmdb.org/t/p/original<?php echo htmlspecialchars($actor_data['profile_path']); ?>" alt="<?php echo htmlspecialchars($actor_data['name']); ?>" class="w-48 rounded-lg sm:order-1">
            <?php else : ?>
                <div class="w-48 h-48 bg-gray-300 flex items-center justify-center rounded-lg sm:order-1">
                    <span class="text-zinc-300 text-4xl">?</span>
                </div>
            <?php endif; ?>
            <div class="sm:order-2 md:text-left text-center">
                <h1 class="text-3xl font-bold text-zinc-800"><?php echo htmlspecialchars($actor_data['name']); ?></h1>
                <p class="text-gray-600 mt-2"><?php echo $movie_count; ?> filmde rol aldı.</p>
                <p class="text-gray-600 mt-2"><span class="font-semibold">Cinsiyet:</span> <?php echo !empty($actor_data['gender']) ? ($actor_data['gender'] == 2 ? 'Erkek' : 'Kadın') : 'Bilinmiyor'; ?></p>
                <p class="text-gray-600 mt-2"><span class="font-semibold">Doğum Yeri:</span> <?php echo !empty($actor_data['place_of_birth']) ? htmlspecialchars($actor_data['place_of_birth']) : 'Bilinmiyor'; ?></p>
                <?php if (!empty($actor_data['biography'])) : ?>
                    <p class="text-gray-600 mt-2 font-semibold"><?php echo htmlspecialchars($actor_data['biography']); ?></p>
                <?php else : ?>
                    <div class="flex flex-col space-y-2">
                        <p class="text-gray-600 mt-2">Aktörün biyografisi henüz dilimize eklenmemiş. Eklenmesini istiyorsan <strong>Discord</strong> sunucumuzdan bize bildir.</p>
                        <a class="bg-indigo-500 text-white font-bold p-2 hover:opacity-75 duration-150 rounded" target="_blank" href="https://discord.gg/Chh7gM5kY7"><i class="fa-brands fa-discord"></i> Discord</a>
                    </div>
                <?php endif; ?>
            </div>
        </div>


        <div class="mt-8">
            <h2 class="text-4xl font-bold text-zinc-800"><i class="fa-solid fa-film"></i> Oynadığı Filmler</h2>
            <ul class="mt-4 grid gap-4 grid-cols-1 sm:grid-cols-2 md:grid-cols-3 lg:grid-cols-5 pb-24">
                <?php foreach ($movie_credits['cast'] as $movie) : ?>
                    <li class="relative">
                        <a href="movie?id=<?php echo $movie['id']; ?>" class="block relative group">
                            <?php if (!empty($movie['poster_path'])) : ?>
                                <img src="https://image.tmdb.org/t/p/original<?php echo htmlspecialchars($movie['poster_path']); ?>" alt="<?php echo htmlspecialchars($movie['title']); ?>" class="rounded-lg">
                                <div class="absolute inset-0 bg-black bg-opacity-0 group-hover:bg-opacity-75 transition duration-300 flex items-center justify-center opacity-0 group-hover:opacity-100">
                                    <span class="text-white text-center"><i class="fa-solid fa-clapperboard"></i> Film sayfasına git</span>
                                </div>
                            <?php else : ?>
                                <div class="w-full h-64 bg-gray-300 flex items-center justify-center rounded-lg">
                                    <span class="text-zinc-300">?</span>
                                </div>
                            <?php endif; ?>
                        </a>
                        <div class="mt-2">
                            <a href="movie?id=<?php echo $movie['id']; ?>" class="text-xl font-extrabold"><?php echo htmlspecialchars($movie['title']); ?></a>
                            <p class="text-zinc-500"><?php echo !empty($movie['character']) ? (strtolower($movie['character']) === 'self' ? 'Kendisi olarak oynadı.' : '<span class="font-bold">' . htmlspecialchars($movie['character']) . '</span> olarak oynadı.') : 'Karakteri bilinmiyor.'; ?></p>
                        </div>
                    </li>
                <?php endforeach; ?>
            </ul>
        </div>

    </div>

    <footer class="mt-8 bg-black/90 text-white p-4 fixed bottom-0 w-full right-0 opacity-90">
        <div class="container mx-auto flex justify-between items-center">
            <div>
                <div class="flex flex-row items-center">
                    <img src="./cdn/logo.png" alt="Foxy" class="w-12">
                    <h3 class="text-lg font-bold">Foxy</h3>
                </div>
                <p class="mt-2">Tüm hakları saklıdır. | <span class="font-semibold">&copy; 2024 <a class="hover:text-red-600 duration-150" href="https://9fud.com">9FUD.COM</a></span></p>
            </div>
            <div>
                <ul class="flex space-x-3">
                    <li>
                        <a href="https://instagram.com/FoxyPlatform" target="_blank" rel="noopener noreferrer" class="duration-150 text-gray-300 hover:text-pink-500" data-tippy-content="Bizi İnstagram'dan takip et!">
                            <i class="fab fa-instagram fa-lg"></i>
                        </a>
                    </li>
                    <li>
                        <a href="https://twitter.com/FoxyPlatform" target="_blank" rel="noopener noreferrer" class="duration-150 text-gray-300 hover:text-blue-400" data-tippy-content="Bizi X'ten takip et!">
                            <i class="fab fa-x-twitter fa-lg"></i>
                        </a>
                    </li>
                </ul>
            </div>
        </div>
    </footer>

    <script src="https://unpkg.com/@popperjs/core@2"></script>
    <script src="https://unpkg.com/tippy.js@6"></script>
    <script>
        tippy('[data-tippy-content]', {
            placement: 'top',
            animation: 'shift-away'
        });
    </script>
</body>

</html>