<?php
require_once 'db.php'; // Veritabanı bağlantısını dahil et

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // POST ile gelen verileri al
    $movieId = $_POST['movie_id'] ?? null;
    $videoUrl = $_POST['video_url'] ?? null;

    // Geçerli veriler kontrol ediliyor
    if ($movieId && $videoUrl) {
        try {
            // Parodi verisini eklemek için SQL sorgusu
            $stmt = $pdo->prepare('INSERT INTO parodies (movie_id, video_url) VALUES (?, ?)');
            $stmt->execute([$movieId, $videoUrl]);

            // Başarılı eklemeden sonra ilgili film sayfasına yönlendir
            header('Location: movie.php?id=' . $movieId);
            exit;
        } catch (PDOException $e) {
            // Hata durumunda mesaj göster ve işlem durdur
            die('Parodi eklenirken bir hata oluştu: ' . $e->getMessage());
        }
    } else {
        // Eksik veri hatası
        die('Film ID veya Video URL eksik!');
    }
} else {
    // Doğrudan bu sayfaya gelinmişse hata mesajı göster
    die('Bu sayfaya doğrudan erişim yasaktır.');
}
?>
