<?php
session_start();
require 'db.php'; // Veritabanı bağlantısı

// Kullanıcının giriş yapmış olup olmadığını kontrol et
$userLoggedIn = isset($_SESSION['user_id']);

// Kullanıcı giriş yapmışsa, kullanıcı ID'sini al
$userId = $_SESSION['user_id'] ?? null;

include 'navbar.php'; // Başlık ve NAV
?>

<!DOCTYPE html>
<html lang="tr">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Tüm Listeler</title>
    <link rel="stylesheet" href="https://unpkg.com/tippy.js@6/animations/shift-away.css" />
    <!-- Google tag (gtag.js) -->
    <script async src="https://www.googletagmanager.com/gtag/js?id=G-JW4L56PTPX"></script>
    <script>
        window.dataLayer = window.dataLayer || [];

        function gtag() {
            dataLayer.push(arguments);
        }
        gtag('js', new Date());

        gtag('config', 'G-JW4L56PTPX');
    </script>
    <script src="https.//cdn.tailwindcss.com"></script>
</head>

<body class="bg-gray-100">
    <div class="container mx-auto px-4 py-8 mb-24">
        <h1 class="text-4xl font-extrabold mb-2 text-center"><i class="fa-solid fa-list"></i> Tüm Listeler</h1>
        <p class="text-sm text-zinc-400 text-center mb-8">Bu sayfada kullanıcılar tarafından oluşturulan listeler bulunmaktadır.</p>

        <div class="grid grid-cols-1 sm:grid-cols-2 md:grid-cols-3 gap-4">
            <?php
            // Veritabanı bağlantısını sağlama
            $servername = "localhost";
            $username = "ebu"; // Veritabanı kullanıcı adınız
            $password = "tbqAfBpCY86XcL39BNXhTLa6EuYcD"; // Veritabanı şifreniz
            $dbname = "movie_platform"; // Veritabanı adı

            // MySQL bağlantısı oluşturma
            $conn = new mysqli($servername, $username, $password, $dbname);

            // Bağlantıyı kontrol etme
            if ($conn->connect_error) {
                die("Veritabanı bağlantı hatası: " . $conn->connect_error);
            }

            // Türkçe karakter sorunu için UTF-8 ayarı
            mysqli_set_charset($conn, "utf8");

            // SQL sorgusu
            $sql = "SELECT lists.*, users.username, users.profile_picture FROM lists INNER JOIN users ON lists.user_id = users.id";
            $result = $conn->query($sql);

            // Verileri liste şeklinde gösterme
            if ($result && $result->num_rows > 0) {
                while ($row = $result->fetch_assoc()) {
            ?>
                    <a href="list.php?id=<?php echo $row['id']; ?>" class="bg-white md:min-h-[220px] md:max-h-[220px] rounded-lg overflow-hidden shadow-md hover:shadow-xl transition duration-300 ease-in-out transform hover:-translate-y-1 hover:scale-105">
                        <div class="p-4">
                            <h2 class="text-xl font-bold mb-2"><?php echo htmlspecialchars($row['title']); ?></h2>
                            <p class="text-gray-600 text-sm"><?php echo strlen($row['description']) > 300 ? substr($row['description'], 0, 200) . '...' : $row['description']; ?></p>
                        </div>
                        <div class="p-4 border-t border-gray-200">
                            <!-- Oluşturan kullanıcı bilgileri -->
                            <div class="flex items-center">
                                <img src="<?php echo htmlspecialchars($row['profile_picture']); ?>" alt="Profil Resmi" class="w-8 h-8 rounded-full mr-2">
                                <span class="text-sm text-gray-600"><?php echo htmlspecialchars($row['username']); ?></span>
                            </div>
                            <!-- Oluşturulma tarihi ve görüntülenme sayısı -->
                            <div class="flex justify-between mt-2 text-xs text-gray-500">
                                <span>Oluşturulma: <?php echo date('d.m.Y', strtotime($row['created_at'])); ?></span>
                                <span>Görüntülenme: <?php echo htmlspecialchars($row['views']); ?></span>
                            </div>
                        </div>
                    </a>
            <?php
                }
            } else {
                echo '<div class="container mx-auto px-4 py-8 text-center">Hiç liste bulunamadı.</div>';
            }

            // Veritabanı bağlantısını kapatma
            $conn->close();
            ?>
        </div>
    </div>

    <footer class="mt-8 bg-black/90 text-white p-4 fixed bottom-0 w-full right-0 opacity-90">
        <div class="container mx-auto flex justify-between items-center">
            <div>
                <div class="flex flex-row items-center">
                    <img src="./cdn/logo.png" alt="Foxy" class="w-12">
                    <h3 class="text-lg font-bold">Foxy</h3>
                </div>
                <p class="mt-2">Tüm hakları saklıdır. | <span class="font-semibold">&copy; 2024 <a class="hover:text-red-600 duration-150" href="https://9fud.com">9FUD.COM</a></span></p>
            </div>
            <div>
                <ul class="flex space-x-3">
                    <li>
                        <a href="https://instagram.com/FoxyPlatform" target="_blank" rel="noopener noreferrer" class="duration-150 text-gray-300 hover:text-pink-500" data-tippy-content="Bizi İnstagram'dan takip et!">
                            <i class="fab fa-instagram fa-lg"></i>
                        </a>
                    </li>
                    <li>
                        <a href="https://twitter.com/FoxyPlatform" target="_blank" rel="noopener noreferrer" class="duration-150 text-gray-300 hover:text-blue-400" data-tippy-content="Bizi X'ten takip et!">
                            <i class="fab fa-x-twitter fa-lg"></i>
                        </a>
                    </li>
                </ul>
            </div>
        </div>
    </footer>

    <script src="https://unpkg.com/@popperjs/core@2"></script>
    <script src="https://unpkg.com/tippy.js@6"></script>
    <script>
        tippy('[data-tippy-content]', {
            animation: 'shift-away',
            theme: 'light',
        });
    </script>
</body>

</html>