<!DOCTYPE html>
<html lang="tr">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Foxy Uygulaması - İndir</title>
    <script src="https://cdn.tailwindcss.com"></script>
    <link href="https://cdn.jsdelivr.net/npm/daisyui@2.14.0/dist/full.css" rel="stylesheet" type="text/css" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.6.0/css/all.min.css"
        integrity="sha512-Kc323vGBEqzTmouAECnVceyQqyqdsSiqLQISBL29aUW4U/M7pSPA/gEUZQqv1cwx4OnYxTxve5UMg5GT6L4JJg=="
        crossorigin="anonymous" referrerpolicy="no-referrer" />
    <!-- Google tag (gtag.js) -->
    <script async src="https://www.googletagmanager.com/gtag/js?id=G-JW4L56PTPX"></script>
    <script>
        window.dataLayer = window.dataLayer || [];

        function gtag() {
            dataLayer.push(arguments);
        }
        gtag('js', new Date());

        gtag('config', 'G-JW4L56PTPX');
    </script>
</head>

<body
    class="bg-gradient-to-r relative from-blue-500 via-indigo-500 to-blue-600 text-white min-h-screen flex flex-col justify-center items-center">

    <a class="p-8 mx-auto md:left-0 absolute top-2 hover:opacity-75 duration-150" href="https://foxy.9fud.com"><i
            class="fa-solid fa-arrow-left mr-2"></i> Foxy'a geri dön</a>

    <header class="text-center mt-28 md:mt-0 mb-10">
        <h1 class="text-5xl font-bold"><i class="fa-solid fa-mobile"></i> Foxy Mobil Uygulaması</h1>
        <p class="text-lg mt-3"><strong>Android</strong> ve <strong>İOS</strong> cihazlar için indir ve Foxy'e her
            yerden eriş</p>
    </header>

    <main class="grid grid-cols-1 md:grid-cols-2 gap-8 max-w-4xl w-full px-4">

        <!-- Android Card -->
        <div class="card bg-blue-700 shadow-xl">
            <div class="card-body items-center text-center">
                <i class="fab fa-android text-6xl"></i>
                <h2 class="card-title text-3xl">Android için İndir</h2>
                <p class="mt-4">Foxy'i Android cihazlarında kullanarak platforma bağlı kal!
                </p>
                <div class="w-full">
                    <a href="/foxy.apk" download
                        class="py-4 w-full flex text-center duration-300 rounded-xl justify-center font-semibold items-center text-zinc-300 border-0 hover:bg-blue-900/80 bg-blue-800">
                        <i class="fas fa-download mr-2"></i>
                        <span>Foxy V1.0.0 İndir</span>
                    </a>
                </div>
            </div>
        </div>

        <!-- iOS Card -->
        <div class="bg-gray-600 text-gray-300 shadow-xl rounded-lg py-12 px-6">
            <div class="flex flex-col items-center text-center">
                <i class="fab fa-apple text-6xl mb-4"></i>
                <h2 class="card-title text-3xl">iOS için Mevcut Değil</h2>
                <p class="mt-4">
                    Şu anda Foxy iOS cihazlar için mevcut değil. Destek vermek istersen aşağıdaki
                    bağlantıyı kullanabilirsin.
                </p>
                <div class="grid grid-cols-1 gap-3 mt-4 w-full">

                    <a href="https://www.patreon.com/9FUD" target="_blank" data-tippy-content="Patreon"
                        class="flex justify-center items-center rounded-xl disabled space-x-1 bg-red-500 text-white py-3 hover:bg-red-400 duration-300">
                        <i class="fab fa-patreon"></i>
                        <span class="font-bold md:font-semibold text-lg">Patreon</span>
                    </a>

                </div>
            </div>
        </div>

    </main>

    <footer class="text-center mt-16 mb-3">
        <p>&copy; <a href="https://9fud.com">2024 9FUD.COM</a> | Tüm Hakları Saklıdır.</p>
        <p><a href="mailto:contact@9fud.com" class="underline hover:text-gray-300 duration-150 font-semibold"><i
                    class="fa-solid fa-envelope"></i> 9FUD Destek</a></p>
    </footer>
</body>

<script src="https://unpkg.com/@popperjs/core@2"></script>
<script src="https://unpkg.com/tippy.js@6"></script>
<script>
    tippy('[data-tippy-content]', {
        placement: 'top',
    });
</script>

</html>