<?php
session_start();
require 'db.php'; // Veritabanı bağlantısı

// Kullanıcının giriş yapmış olup olmadığını kontrol et
$userLoggedIn = isset($_SESSION['user_id']);

// Kullanıcı giriş yapmışsa, kullanıcı ID'sini al
$userId = $_SESSION['user_id'] ?? null;

$title = "Rozetlerim";

include 'navbar.php'; // Başlık ve NAV
?>
<!DOCTYPE html>
<html lang="tr">
<link rel="icon" type="image/x-icon" href="/cdn/logo.png">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- Google tag (gtag.js) -->
    <script async src="https://www.googletagmanager.com/gtag/js?id=G-JW4L56PTPX"></script>
    <script>
        window.dataLayer = window.dataLayer || [];

        function gtag() {
            dataLayer.push(arguments);
        }
        gtag('js', new Date());

        gtag('config', 'G-JW4L56PTPX');
    </script>
    <style>
        .badge-card {
            position: relative;
            overflow: hidden;
            background-color: #F3F4F6;
            border-radius: 0.5rem;
            box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
            transition: transform 0.3s ease;
        }

        .badge-card:hover {
            transform: translateY(-5px);
        }

        .badge-card::before {
            content: '';
            position: absolute;
            top: 0;
            left: -100%;
            width: 100%;
            height: 100%;
            background: linear-gradient(to right, rgba(255, 255, 255, 0.2), transparent);
            transition: left 0.3s ease;
        }

        .badge-card:hover::before {
            left: 100%;
        }
    </style>
</head>

<body>
    <div class="w-full z-20 text-center">
        <div class="mx-auto items-center rounded-b-lg hover:opacity-95 duration-150 bg-gradient-to-r from-indigo-600 to-indigo-700 text-zinc-300">
            <a href="https://discord.gg/Chh7gM5kY7" class="block p-3">
                <i class="fa-brands fa-discord fa-lg"></i> <strong>Discord</strong> sunucumuz açıldı! Buraya tıklayarak hemen sen de katıl.
            </a>
        </div>
    </div>
    <main class="container mb-24 md:mb-8 mx-auto px-4 py-8">



        <div class="flex flex-row space-x-2">
            <img src="./cdn/badge.png" class="w-10 h-10">
            <h1 class="text-3xl font-bold mb-4 text-zinc-600">Tüm Rozetler</h1>
        </div>

        <div class="grid grid-cols-1 sm:grid-cols-2 md:grid-cols-3 gap-4">

            <div class="badge-card cursor-pointer hover:transform hover:-translate-y-2 transition-transform duration-300 bg-gradient-to-r from-pink-200 to-cyan-200 shadow-md rounded-lg p-4">
                <div class="flex items-center mb-2">
                    <img src="./cdn/badge-user.png" class="w-8 h-8 mr-2">
                    <span class="text-lg font-bold text-zinc-500">Yeni Üye</span>
                </div>
                <p class="text-zinc-500 font-semibold">Yeni kayıt olan üye</p>
                <p class="text-xs text-zinc-500 mt-2 font-semibold">Verildiği şart: Kayıt olduğun anda otomatik olarak verilir.</p>
            </div>

            <div class="badge-card cursor-pointer hover:transform hover:-translate-y-2 transition-transform duration-300 bg-gradient-to-r from-pink-200 to-cyan-200 shadow-md rounded-lg p-4">
                <div class="flex items-center mb-2">
                    <img src="./cdn/badge-10.png" class="w-8 h-8 mr-2">
                    <span class="text-lg font-bold text-zinc-500">İlk 10 Mesaj</span>
                </div>
                <p class="text-zinc-500 font-semibold">İlk 10 mesajında sahip olabilirsin.</p>
                <p class="text-xs text-zinc-500 mt-2 font-semibold">Verildiği şart: İlk 10 mesajını atman</p>
            </div>

            <div class="badge-card cursor-pointer hover:transform hover:-translate-y-2 transition-transform duration-300 bg-gradient-to-r from-pink-200 to-cyan-200 shadow-md rounded-lg p-4">
                <div class="flex items-center mb-2">
                    <img src="./cdn/badge-50.png" class="w-8 h-8 mr-2">
                    <span class="text-lg font-bold text-zinc-500">İlk 50 Mesaj</span>
                </div>
                <p class="text-zinc-500 font-semibold">İlk 50 mesajında sahip olabilirsin.</p>
                <p class="text-xs text-zinc-500 mt-2 font-semibold">Verildiği şart: İlk 50 mesajını atman</p>
            </div>

            <div class="badge-card cursor-pointer hover:transform hover:-translate-y-2 transition-transform duration-300 bg-gradient-to-r from-pink-200 to-cyan-200 shadow-md rounded-lg p-4">
                <div class="flex items-center mb-2">
                    <img src="./cdn/badge-150.png" class="w-8 h-8 mr-2">
                    <span class="text-lg font-bold text-zinc-500">İlk 150 Mesaj</span>
                </div>
                <p class="text-zinc-500 font-semibold">İlk 150 mesajında sahip olabilirsin.</p>
                <p class="text-xs text-zinc-500 mt-2 font-semibold">Verildiği şart: İlk 150 mesajını atman</p>
            </div>

            <div class="badge-card cursor-pointer hover:transform hover:-translate-y-2 transition-transform duration-300 bg-gradient-to-r from-pink-200 to-cyan-200 shadow-md rounded-lg p-4">
                <div class="flex items-center mb-2">
                    <img src="./cdn/badge-500.png" class="w-8 h-8 mr-2">
                    <span class="text-lg font-bold text-zinc-500">İlk 500 Mesaj</span>
                </div>
                <p class="text-zinc-500 font-semibold">İlk 500 mesajında sahip olabilirsin.</p>
                <p class="text-xs text-zinc-500 mt-2 font-semibold">Verildiği şart: İlk 500 mesajını atman</p>
            </div>

            <div class="badge-card cursor-pointer hover:transform hover:-translate-y-2 transition-transform duration-300 bg-gradient-to-r from-pink-200 to-cyan-200 shadow-md rounded-lg p-4">
                <div class="flex items-center mb-2">
                    <img src="./cdn/badge-1000.png" class="w-8 h-8 mr-2">
                    <span class="text-lg font-bold text-zinc-500">İlk 1.000 Mesaj</span>
                </div>
                <p class="text-zinc-500 font-semibold">İlk 1.000 mesajında sahip olabilirsin.</p>
                <p class="text-xs text-zinc-500 mt-2 font-semibold">Verildiği şart: İlk 1.000 mesajını atman</p>
            </div>

            <div class="badge-card cursor-pointer hover:transform hover:-translate-y-2 transition-transform duration-300 bg-gradient-to-r from-pink-200 to-cyan-200 shadow-md rounded-lg p-4">
                <div class="flex items-center mb-2">
                    <img src="./cdn/badge-2000.png" class="w-8 h-8 mr-2">
                    <span class="text-lg font-bold text-zinc-500">İlk 2.000 Mesaj</span>
                </div>
                <p class="text-zinc-500 font-semibold">İlk 2.000 mesajında sahip olabilirsin.</p>
                <p class="text-xs text-zinc-500 mt-2 font-semibold">Verildiği şart: İlk 2.000 mesajını atman</p>
            </div>

        </div>

        <?php if ($userLoggedIn) : ?>
            <div class="flex flex-row space-x-2 mt-12">
                <img src="./cdn/badge-me.png" class="w-10 h-10">
                <h1 class="text-3xl font-bold mb-4 text-zinc-600">Sahip olduğum rozetler</h1>
            </div>

            <div class="grid grid-cols-1 sm:grid-cols-2 md:grid-cols-3 gap-4">
                <?php
                // Rozetleri veritabanından çekme
                $stmt = $pdo->prepare("
        SELECT * FROM badges WHERE user_id = :user_id ORDER BY comment_count DESC
    ");
                $stmt->execute(['user_id' => $userId]);
                $badges = $stmt->fetchAll(PDO::FETCH_ASSOC);

                foreach ($badges as $badge) : ?>
                    <div class="badge-card cursor-pointer hover:transform hover:-translate-y-2 transition-transform duration-300 bg-gradient-to-r from-pink-200 to-cyan-200 shadow-md rounded-lg p-4">
                        <div class="flex items-center mb-2">
                            <img src="<?= $badge['badge_icon'] ?>" alt="<?= $badge['badge_name'] ?>" class="w-8 h-8 mr-2">
                            <span class="text-lg font-bold text-zinc-500"><?= $badge['badge_name'] ?></span>
                        </div>
                        <p class="text-zinc-500 font-semibold"><?= $badge['badge_description'] ?></p>
                        <p class="text-xs text-zinc-500 mt-2">Verildiği Mesaj Sayısı: <?= $badge['comment_count'] ?></p>
                    </div>
                <?php endforeach; ?>
            </div>


            <div class="items-start w-full mt-8">
                <div class="p-5 rounded border bg-gradient-to-r from-pink-100/20 to-cyan-100/20 border-pink-500/20 text-zinc-500 font-semibold text-sm badge-card duration-150 cursor-pointer">
                    <span class="px-4 p-0 fa-xl bg-gradient-to-r from-pink-100 to-cyan-100 rounded-full"><i class="fa-solid fa-id-badge fa-xl"></i></span>
                    <span class="mx-1">Yukarıda sahip olduğun rozetler listeleniyor. Yeni rozetler kazanmak için film veya dizilere yorum yapabilirsin. Ama spam veya küfürlü içeriklerle yorum yapmadığına emin ol. Aksi halde hesabın kapanabilme ihtimali var.</span>
                </div>
            </div>
        <?php else : ?>
            <div class="text-center mt-12 mt-8 bg-zinc-200 rounded p-10 mx-auto items-center">
                <div class="flex flex-row space-x-2 mx-auto flex justify-center">
                    <img src="./cdn/badge-me.png" class="w-10 h-10">
                    <h1 class="text-3xl font-bold text-zinc-600">Sahip olduğum rozetler</h1>
                </div>
                <p class="text-lg font-bold text-zinc-500">Giriş yapmamışsın ki..</p>
                <p class="mt-2 text-sm text-zinc-500">Rozetlerini görmek için <a class="font-semibold border border-gray-500/20 px-3 rounded hover:bg-gray-500 hover:text-zinc-100 duration-150" href="/login"><i class="fa-solid fa-right-to-bracket mx-1"></i>Giriş</a> yapmalısın. Hesabın yoksa hemen <a class="font-semibold border border-gray-500/20 px-3 rounded hover:bg-gray-500 hover:text-zinc-100 duration-150" href="register"><i class="fa-solid fa-user-plus mx-1"></i>Kayıt Ol</a></p>
                <!-- Buraya giriş yapma bağlantısını veya butonunu ekleyebilirsiniz -->
            </div>
        <?php endif; ?>
    </main>

    <div class="w-full bottom-0 left-0 fixed right-0">
        <?php include 'footer.php'; ?>
    </div>
</body>