<?php
// check_movie_in_list.php dosyası

header('Content-Type: application/json');
require 'db.php'; // Veritabanı bağlantısı

// POST verilerini alalım
$postData = json_decode(file_get_contents('php://input'), true);

if (!isset($postData['list_id']) || !isset($postData['movie_id'])) {
    echo json_encode(['error' => 'Missing list_id or movie_id']);
    exit;
}

$listId = $postData['list_id'];
$movieId = $postData['movie_id'];

// Veritabanında bu film listenin içinde var mı kontrol edelim
$stmt = $pdo->prepare("SELECT COUNT(*) AS count FROM list_items WHERE list_id = :list_id AND movie_id = :movie_id");
$stmt->execute([':list_id' => $listId, ':movie_id' => $movieId]);
$result = $stmt->fetch(PDO::FETCH_ASSOC);

if ($result && $result['count'] > 0) {
    echo json_encode(['exists' => true]);
} else {
    echo json_encode(['exists' => false]);
}
