<?php
session_start();
include 'db.php';

$data = json_decode(file_get_contents('php://input'), true);

if ($data === null || !isset($data['action']) || $data['action'] !== 'delete_email') {
    echo json_encode(['message' => 'Geçersiz veri.']);
    exit();
}

if (!isset($_SESSION['user_id'])) {
    echo json_encode(['message' => 'Giriş yapmadınız.']);
    exit();
}

$user_id = $_SESSION['user_id'];

if (!isset($pdo) || $pdo === false) {
    echo json_encode(['message' => 'Veritabanı bağlantısı hatası.']);
    exit();
}

try {
    $sql = "UPDATE email_preferences SET email = '' WHERE user_id = :user_id";
    $stmt = $pdo->prepare($sql);
    $stmt->bindParam(':user_id', $user_id, PDO::PARAM_INT);
    $stmt->execute();

    echo json_encode(['message' => 'E-posta adresiniz başarıyla silindi.']);
} catch (PDOException $e) {
    echo json_encode(['message' => 'Bir hata oluştu: ' . $e->getMessage()]);
}
?>
