<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://unpkg.com/tippy.js@6/animations/shift-away.css" />
</head>

<body>
    <!-- footer.php -->
    <footer class="mt-8 bg-black w-full rounded-t-lg text-white p-4">
        <div class="container mx-auto flex justify-between items-center">
            <div>
                <div class="flex flex-row items-center">
                    <img src="./cdn/logo.png" alt="Foxy" class="w-12">
                    <h3 class="text-lg font-bold">Foxy</h3>
                </div>
                <p class="mt-2">Tüm hakları saklıdır. | <span class="font-semibold">&copy; 2024 <a class="hover:text-red-600 duration-150" href="https://9fud.com">9FUD.COM</a></span></p>
            </div>

            <a href="https://www.themoviedb.org/" target="_blank" class="hover:underline hover:text-zinc-100 duration-150 text-zinc-400" data-tippy-content="Tüm dünyaya ücretsiz ve yerel dilleri de destekleyecek bir şekilde temiz API sunduğu için The Movie Database'a (TiVo Platform Technologies LLC) teşekkürlerimizi sunarız.">Özel teşekkür - TMDB API</span>

                <div>


                    <ul class="flex space-x-3">
                        <li>
                            <a href="https://instagram.com/FoxyPlatform" target="_blank" rel="noopener noreferrer" class="duration-150 text-gray-300 hover:text-pink-500" data-tippy-content="Bizi İnstagram'dan takip et!">
                                <i class="fab fa-instagram fa-lg"></i>
                            </a>
                        </li>
                        <li>
                            <a href="https://twitter.com/FoxyPlatform" target="_blank" rel="noopener noreferrer" class="duration-150 text-gray-300 hover:text-blue-400" data-tippy-content="Bizi X'ten takip et!">
                                <i class="fab fa-x-twitter fa-lg"></i>
                            </a>
                        </li>
                    </ul>
                </div>
        </div>
    </footer>

    <script src="https://unpkg.com/@popperjs/core@2"></script>
    <script src="https://unpkg.com/tippy.js@6"></script>
    <script>
        tippy('[data-tippy-content]', {
            animation: 'shift-away',
            theme: 'light',
        });
    </script>
</body>

</html>