<?php
require 'db.php';

function getMovieDuration($movie_id) {
    global $pdo;

    // Veritabanından film süresini kontrol et
    $query = "SELECT duration FROM movies WHERE id = :movie_id";
    $stmt = $pdo->prepare($query);
    $stmt->bindParam(':movie_id', $movie_id, PDO::PARAM_INT);
    $stmt->execute();
    $movie = $stmt->fetch();

    if ($movie && $movie['duration'] > 0) {
        // Eğer süre veritabanında varsa geri döndür
        return $movie['duration'];
    } else {
        // TMDb API'den film süresini al
        $api_key = '63fd1ed0aa746bf66c0513b79c7b2b8f'; // TMDb API anahtarınızı buraya ekleyin
        $api_url = "https://api.themoviedb.org/3/movie/$movie_id?api_key=$api_key";
        $response = file_get_contents($api_url);
        $data = json_decode($response, true);

        if (isset($data['runtime']) && $data['runtime'] > 0) {
            // Film süresini veritabanına kaydet
            $duration = $data['runtime'];
            $update_query = "UPDATE movies SET duration = :duration WHERE id = :movie_id";
            $update_stmt = $pdo->prepare($update_query);
            $update_stmt->bindParam(':duration', $duration, PDO::PARAM_INT);
            $update_stmt->bindParam(':movie_id', $movie_id, PDO::PARAM_INT);
            $update_stmt->execute();

            return $duration;
        } else {
            return null; // Süre bulunamadı
        }
    }
}
?>
