<?php
session_start();
include 'db.php';

if (!isset($_SESSION['user_id'])) {
    echo json_encode(['error' => 'Giriş yapmadınız.']);
    exit();
}

$user_id = $_SESSION['user_id'];

try {
    $sql = "SELECT email, notify_new_movie FROM email_preferences WHERE user_id = :user_id";
    $stmt = $pdo->prepare($sql);
    $stmt->bindParam(':user_id', $user_id, PDO::PARAM_INT);
    $stmt->execute();
    $result = $stmt->fetch(PDO::FETCH_ASSOC);

    if ($result) {
        echo json_encode($result);
    } else {
        echo json_encode(['notify_new_movie' => 0, 'email' => '']);
    }
} catch (PDOException $e) {
    echo json_encode(['error' => 'Bir hata oluştu: ' . $e->getMessage()]);
}
?>
