<?php
include 'db.php';
session_start();

if (!isset($_SESSION['user_id'])) {
    header("Location: login.php");
    exit;
}

if (isset($_POST['movie_id'])) {
    $user_id = $_SESSION['user_id']; // Oturum açmış kullanıcı ID'si
    $movie_id = $_POST['movie_id'];

    try {
        // Filmin adını veritabanından çek
        $movieQuery = $pdo->prepare("SELECT title FROM movies WHERE id = ?");
        $movieQuery->execute([$movie_id]);
        $movie = $movieQuery->fetch();

        if (!$movie) {
            $_SESSION['like_message'] = '<i class="fas fa-exclamation-triangle"></i> Film bulunamadı.';
            header("Location: movie.php?id=" . $movie_id);
            exit;
        }

        $movie_title = $movie['title'];

        // Beğeni var mı kontrol et
        $query = $pdo->prepare("SELECT * FROM likes WHERE user_id = ? AND movie_id = ?");
        $query->execute([$user_id, $movie_id]);
        $like = $query->fetch();

        if ($like) {
            // Beğeni varsa, beğeniyi kaldır
            $query = $pdo->prepare("DELETE FROM likes WHERE user_id = ? AND movie_id = ?");
            $query->execute([$user_id, $movie_id]);

            if ($query->rowCount() > 0) {
                $_SESSION['like_message'] = '<i class="fas fa-heart-crack"></i> <strong>' . htmlspecialchars($movie_title) . '</strong> filminin beğenisi kaldırıldı.';
            } else {
                $_SESSION['like_message'] = '<i class="fas fa-times-circle"></i> Beğeni kaldırılamadı.';
            }
        } else {
            // Beğeni yoksa, beğeni ekle
            $query = $pdo->prepare("INSERT INTO likes (user_id, movie_id) VALUES (?, ?)");
            $query->execute([$user_id, $movie_id]);

            if ($query->rowCount() > 0) {
                $_SESSION['like_message'] = '<i class="fas fa-heart"></i> <strong>' . htmlspecialchars($movie_title) . '</strong> filmini beğendin.';
            } else {
                $_SESSION['like_message'] = '<i class="fas fa-times-circle"></i> Film beğenilemedi.';
            }
        }
    } catch (PDOException $e) {
        // Hata kaydı
        error_log('PDOException: ' . $e->getMessage());
        $_SESSION['like_message'] = '<i class="fas fa-exclamation-triangle"></i> Beğeni işlemi sırasında bir hata oluştu.';
    }

    header("Location: movie.php?id=" . $movie_id);
    exit;
} else {
    header("Location: index.php");
    exit;
}
?>
