<?php
$apiKey = '63fd1ed0aa746bf66c0513b79c7b2b8f';
require 'db.php';
require 'navbar.php';

// Yetişkin içerik seçeneği kontrolü
$includeAdult = isset($_COOKIE['adult_confirmed']) && $_COOKIE['adult_confirmed'] === 'true' ? 'true' : 'false';
$page = rand(1, 100); // Rastgele sayfa numarası

// Film ve dizi API URL'leri
$movieUrl = "https://api.themoviedb.org/3/discover/movie?api_key=$apiKey&language=tr-TR&page=$page&include_adult=$includeAdult";
$tvUrl = "https://api.themoviedb.org/3/discover/tv?api_key=$apiKey&language=tr-TR&page=$page&include_adult=$includeAdult";

// Rastgele tür seç
$isMovie = rand(0, 1) === 1;

// API'den verileri çek
$response = file_get_contents($isMovie ? $movieUrl : $tvUrl);
$data = json_decode($response, true)['results'];

// Rastgele bir film veya dizi seç
$randomItem = $data[array_rand($data)];
$itemId = $randomItem['id'];
$itemTitle = $isMovie ? $randomItem['title'] : $randomItem['name'];
$itemPoster = "https://image.tmdb.org/t/p/w500" . $randomItem['poster_path'];
$itemBackdrop = "https://image.tmdb.org/t/p/original" . $randomItem['backdrop_path'];
$itemOverview = $randomItem['overview'];
$itemRating = $randomItem['vote_average'];
$itemPopularity = $randomItem['popularity'];

// Popülerlik yüzdesi hesaplama
$popularityPercentage = min(max(($itemPopularity / 1000) * 100, 0), 100);

// Tarih bilgisini kontrol et ve formatla
$releaseDate = isset($randomItem['release_date']) ? $randomItem['release_date'] : (isset($randomItem['first_air_date']) ? $randomItem['first_air_date'] : null);
$date = $releaseDate ? new DateTime($releaseDate) : null;

function formatTurkishDate($date)
{
    $months = [
        1 => 'Ocak',
        2 => 'Şubat',
        3 => 'Mart',
        4 => 'Nisan',
        5 => 'Mayıs',
        6 => 'Haziran',
        7 => 'Temmuz',
        8 => 'Ağustos',
        9 => 'Eylül',
        10 => 'Ekim',
        11 => 'Kasım',
        12 => 'Aralık'
    ];

    $day = $date->format('j');
    $month = $date->format('n');
    $year = $date->format('Y');

    return "$day {$months[$month]} $year";
}

$formattedDate = $date ? formatTurkishDate($date) : 'Bilinmiyor';

$itemOriginalLanguage = strtoupper($randomItem['original_language']);
$itemCountries = isset($randomItem['production_countries']) ? implode(', ', array_column($randomItem['production_countries'], 'name')) : 'Bilinmiyor';

$itemType = $isMovie ? 'movie' : 'tv';


$isMovie = $itemType === 'movie';
$typeColor = $isMovie ? 'bg-blue-600/20 border-blue-500/30 border text-blue-100' : 'bg-red-600/20 border-red-500/30 border text-red-100';
$typeIcon = $isMovie ? 'fa-film' : 'fa-layer-group';
$typeText = $isMovie ? 'Film' : 'Dizi';
?>

<!DOCTYPE html>
<html lang="tr" data-theme="night">

<head>
    <meta charset="UTF-8">
    <title>Foxy - <?php echo htmlspecialchars($movieTitle); ?></title>
    <link rel="icon" type="image/x-icon" href="/cdn/logo.png">
    <meta name="description" content="Rastgele film önerisi - <?php echo htmlspecialchars($movieOverview); ?> içeriğini Foxy'da gör!">
    <meta name="keywords" content="foxy, 9fud, film, <?php echo htmlspecialchars($movieTitle); ?>">
    <meta property="og:image" content="<?php echo htmlspecialchars($moviePoster); ?>">
    <meta name="author" content="Foxy | 9FUD.COM">
    <script src="https://cdn.tailwindcss.com"></script>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdn.jsdelivr.net/npm/daisyui@4.12.10/dist/full.min.css" rel="stylesheet" type="text/css" />
    <link href="https://cdn.jsdelivr.net/npm/tippy.js@6/dist/tippy.css" rel="stylesheet" />
    <!-- Google tag (gtag.js) -->
    <script async src="https://www.googletagmanager.com/gtag/js?id=G-JW4L56PTPX"></script>
    <script>
        window.dataLayer = window.dataLayer || [];

        function gtag() {
            dataLayer.push(arguments);
        }
        gtag('js', new Date());

        gtag('config', 'G-JW4L56PTPX');
    </script>
    <link rel="stylesheet" href="https://unpkg.com/tippy.js@6/animations/shift-toward.css" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.6.0/css/all.min.css" integrity="sha512-Kc323vGBEqzTmouAECnVceyQqyqdsSiqLQISBL29aUW4U/M7pSPA/gEUZQqv1cwx4OnYxTxve5UMg5GT6L4JJg==" crossorigin="anonymous" referrerpolicy="no-referrer" />
    <style>
        body {
            background-image: url('<?php echo $itemBackdrop; ?>') !important;
            background-size: cover !important;
            background-position: center !important;
            background-repeat: no-repeat !important;
            background-attachment: fixed !important;
        }

        #ageCheckModal.hidden {
            display: none;
        }

        #ageCheckModal {
            z-index: 300;
        }
    </style>
</head>

<body class="">

    <!-- Modal HTML -->
    <div id="ageCheckModal" class="fixed p-2 md:p-0 inset-0 bg-black/20 backdrop-blur-md bg-opacity-50 flex items-center justify-center hidden">
        <div class="bg-white text-black rounded-lg shadow-lg">
            <div class="px-8 py-4">
                <h2 class="text-xl font-semibold mb-4"><i class="fa-solid fa-triangle-exclamation"></i> Uyarı</h2>
                <p class="">Bu sayfa +18 içerikler içerebilir. Devam etmek istiyor musun?</p>
            </div>
            <div class="flex justify-end p-3">
                <button id="continueButton" class="bg-blue-500 text-white px-4 py-2 rounded hover:bg-blue-600 duration-150 mr-2"><i class="fa-regular fa-thumbs-up"></i> Evet, sorun yok</button>
                <button id="cancelButton" class="bg-red-500 text-white px-4 py-2 rounded hover:bg-red-600 duration-150"><i class="fa-solid fa-bomb"></i> Hayır, beni kurar</button>
            </div>
        </div>
    </div>

    <div class="w-full mt-[2vh] md:mt-[3vh] mx-auto min-w-full rounded-lg space-y-6">
        <!-- Arka Plan -->

        <div class="relative mx-14">
            <img src="<?php echo $itemPoster; ?>" alt="<?php echo htmlspecialchars($itemTitle); ?>" class="md:max-w-[350px] md:min-w-[350px] w-full rounded-lg shadow-lg">
            <span class="absolute bottom-0 left-0 md:max-w-sm bg-gradient-to-r from-black/60 to-transparent flex w-full space-x-2 items-center bg-opacity-90 font-bold text-yellow-400 text-sm py-3 px-3 rounded-t">
                <i class="fa-solid fa-star"></i>
                <span><?php echo number_format($itemRating, 1, ',', '.'); ?> / 10</span>
            </span>
        </div>

        <div class="z-20 bg-gray-900 min-h-full min-w-full container px-12 py-8">
            <!-- Popülerlik Göstergesi -->
            <div class="flex mb-4 md:mb-0 bg-black/20 p-4 px-12 rounded-full backdrop-blur-lg items-center text-sm justify-center md:absolute right-3 top-[110px]">
                <span class="mr-6 text-zinc-100">Bu hafta popülerlik</span>
                <div role="progressbar" class="bg-blue-900/30 radial-progress text-primary radial-progress-primary" style="--value: <?php echo $popularityPercentage; ?>; --size: 60px; --thickness: 3px;">
                    <div class="font-bold"><?php echo number_format($popularityPercentage, 0); ?>%</div>
                </div>
            </div>

            <div class="relative overflow-hidden rounded-lg shadow-lg">
                <span class="absolute bottom-2 left-2 bg-black bg-opacity-75 text-white text-sm px-2 py-1 rounded-full">
                    <?php echo number_format($itemRating, 1, ',', '.'); ?> / 10
                </span>
            </div>

            <div class="w-full md:w-2/3">
                <!-- Yetişkin İçerik İkonu -->
                <?php if ($includeAdult === 'true') : ?>
                    <div class="flex items-center block hover:opacity-75 duration-150 cursor-pointer space-x-2 mt-2 z-20" data-tippy-content="Bu <?php echo $itemType === 'movie' ? 'film' : 'dizi'; ?> +18 sahneler içerebilir">
                        <span class="py-1 text-xs rounded-full bg-red-500 px-3 font-bold text-white">+18</span>
                        <span class="text-base font-bold text-gray-300">Yetişkin İçerik</span>
                    </div>
                <?php endif; ?>

                <div class="relative container">
                    <div class="<?php echo $typeColor; ?> inline-flex rounded py-1 px-4 flex items-center space-x-1 shadow-lg">
                        <div class="items-center">
                            <i class="fa-solid <?php echo $typeIcon; ?>"></i>
                        </div>
                        <div class="flex-1">
                            <p class=""><?php echo htmlspecialchars($typeText); ?></p>
                        </div>
                    </div>

                    <div class="w-full">
                        <h2 class="text-2xl w-full font-bold mb-3 mt-3 text-white"><?php echo htmlspecialchars($itemTitle); ?></h2>
                        <p class="text-base w-full text-gray-300 w-full"><strong><i class="fa-solid fa-calendar-days"></i></strong> <?php echo htmlspecialchars($formattedDate); ?></p>
                        <p class="text-base w-full  text-gray-200 mt-2"><?php echo htmlspecialchars($itemOverview); ?></p>
                    </div>
                </div>

                <div class="flex justify-start items-center mt-4">
                    <form id="itemForm" method="GET" action="<?php echo $itemType === 'movie' ? 'movie.php' : 'tv.php'; ?>" class="w-full md:w-auto">
                        <input type="hidden" name="id" value="<?php echo htmlspecialchars($itemId); ?>">
                        <button id="navigateButton" type="button" class="justify-between flex items-center hover:bg-blue-600 duration-150 bg-blue-500 p-3 rounded-lg font-semibold text-white text-sm px-6 w-full md:w-auto" onclick="openInNewTab()">
                            <?php echo $itemType === 'movie' ? 'Filme Git' : 'Diziye Git'; ?>
                            <span><i class="fa-solid fa-angles-right md:ml-2"></i></span>
                        </button>
                    </form>
                </div>

            </div>
        </div>
    </div>
    </div>

    <script>
        document.addEventListener('DOMContentLoaded', function() {
            // Çerezi kontrol et
            const hasVisited = document.cookie.split('; ').find(row => row.startsWith('hasVisited='));

            if (!hasVisited) {
                // Modal'ı göster
                document.getElementById('ageCheckModal').classList.remove('hidden');
            }

            // Evet butonuna tıklama
            document.getElementById('continueButton').addEventListener('click', function() {
                // Çerezi kaydet
                document.cookie = "hasVisited=true; path=/; max-age=" + 60 * 60 * 24 * 365; // 1 yıl geçerli

                // Modal'ı gizle
                document.getElementById('ageCheckModal').classList.add('hidden');

                // Sayfayı yeniden yükle (eğer gerekliyse)
                // window.location.reload();
            });

            // Hayır butonuna tıklama
            document.getElementById('cancelButton').addEventListener('click', function() {
                // Kullanıcıyı başka bir sayfaya yönlendir
                window.location.href = 'https://movie.9fud.com'; // Burada kullanıcıyı başka bir sayfaya yönlendirebilirsiniz.
            });
        });
    </script>

    <script>
        document.addEventListener('DOMContentLoaded', function() {
            var itemType = '<?php echo $itemType; ?>';
            var button = document.getElementById('navigateButton');

            if (itemType === 'tv') {
                button.classList.remove('bg-blue-500');
                button.classList.add('bg-red-500');
            }
        });
    </script>

    <script>
        function openInNewTab() {
            var form = document.createElement('form');
            form.method = 'GET';
            form.action = '<?php echo $itemType === 'movie' ? 'movie.php' : 'tv.php'; ?>';
            form.target = '_blank';

            var input = document.createElement('input');
            input.type = 'hidden';
            input.name = 'id';
            input.value = '<?php echo htmlspecialchars($itemId); ?>';
            form.appendChild(input);

            document.body.appendChild(form);
            form.submit();
            document.body.removeChild(form);
        }
    </script>


    <script src="https://unpkg.com/@popperjs/core@2"></script>
    <script src="https://unpkg.com/tippy.js@6"></script>
    <script>
        tippy('[data-tippy-content]', {
            placement: 'top',
            animation: 'shift-toward'
        });
    </script>
</body>


</html>