<?php
function getPopularMovies() {
    $apiKey = '63fd1ed0aa746bf66c0513b79c7b2b8f';
    $url = "https://api.themoviedb.org/3/movie/popular?api_key=$apiKey&language=tr-TR";

    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    $response = curl_exec($ch);
    curl_close($ch);

    return json_decode($response, true)['results'];
}

function getPopularTvSeries() {
    $apiKey = '63fd1ed0aa746bf66c0513b79c7b2b8f';
    $url = "https://api.themoviedb.org/3/tv/popular?api_key=$apiKey&language=tr-TR";

    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    $response = curl_exec($ch);
    curl_close($ch);

    return json_decode($response, true)['results'];
}

// Function to get TV show details
function getTVShowDetails($tvId) {
    $apiKey = '63fd1ed0aa746bf66c0513b79c7b2b8f';
    $url = "https://api.themoviedb.org/3/tv/$tvId?api_key=$apiKey&language=tr-TR";

    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    $response = curl_exec($ch);
    curl_close($ch);

    return json_decode($response, true);
}

function searchMovies($searchTerm) {
    $apiKey = '63fd1ed0aa746bf66c0513b79c7b2b8f';
    $url = "https://api.themoviedb.org/3/search/movie?api_key=$apiKey&language=tr-TR&query=" . urlencode($searchTerm);

    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    $response = curl_exec($ch);
    curl_close($ch);

    return json_decode($response, true)['results'];
}

function getMovieDetails($movieId) {
    $apiKey = '63fd1ed0aa746bf66c0513b79c7b2b8f';
    $url = "https://api.themoviedb.org/3/movie/$movieId?api_key=$apiKey&language=tr-TR";

    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    $response = curl_exec($ch);
    curl_close($ch);

    return json_decode($response, true);
}

// Function to insert movie if it doesn't exist and then insert visit
function addMovieVisit($pdo, $userId, $movieId) {
    // Check if the movie exists in the database
    $stmt = $pdo->prepare("SELECT id FROM movies WHERE id = :movie_id");
    $stmt->execute(['movie_id' => $movieId]);
    $movieExists = $stmt->fetch(PDO::FETCH_ASSOC);

    if (!$movieExists) {
        // Get movie details from API
        $movieDetails = getMovieDetails($movieId);
        // Insert movie into movies table
        $stmt = $pdo->prepare("INSERT INTO movies (id, title, release_date) VALUES (:id, :title, :release_date)");
        $stmt->execute([
            'id' => $movieDetails['id'],
            'title' => $movieDetails['title'],
            'release_date' => $movieDetails['release_date']
        ]);
    }

    // Insert visit into movie_visits table
    $stmt = $pdo->prepare("INSERT INTO movie_visits (user_id, movie_id, visit_date) VALUES (:user_id, :movie_id, NOW())");
    $stmt->execute([
        'user_id' => $userId,
        'movie_id' => $movieId
    ]);

    echo "Record inserted successfully.";
}

// Fonksiyon: TMDb API üzerinden dizi arama
function searchTvSeries($searchTerm) {
    $apiKey = '63fd1ed0aa746bf66c0513b79c7b2b8f';
    $url = "https://api.themoviedb.org/3/search/tv?api_key=$apiKey&language=tr-TR&query=" . urlencode($searchTerm);

    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    $response = curl_exec($ch);
    curl_close($ch);

    return json_decode($response, true)['results'];
}

function getSimilarMovies($movieId, $apiKey) {
    $apiUrl = "https://api.themoviedb.org/3/movie/$movieId/similar?api_key=$apiKey&language=tr-TR";
    
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $apiUrl);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    $output = curl_exec($ch);
    curl_close($ch);
    
    return json_decode($output, true);
}

?>
