<?php
session_start();
require 'db.php'; // Veritabanı bağlantısını buradan yapıyoruz.

if (isset($_POST['movie_id']) && isset($_POST['backdrop_path'])) {
    $movie_id = $_POST['movie_id'];
    $backdrop_path = $_POST['backdrop_path'];
    $user_id = $_SESSION['user_id'];

    try {
        // İzlenme durumunu kontrol et
        $query = "SELECT watched FROM user_movies WHERE user_id = :user_id AND movie_id = :movie_id";
        $stmt = $pdo->prepare($query);
        $stmt->bindParam(':user_id', $user_id, PDO::PARAM_INT);
        $stmt->bindParam(':movie_id', $movie_id, PDO::PARAM_INT);
        $stmt->execute();
        $result = $stmt->fetch();

        if ($result) {
            // İzlenme durumunu güncelle
            $watched = $result['watched'] ? 0 : 1;
            $update_query = "
                UPDATE user_movies 
                SET watched = :watched, backdrop_path = :backdrop_path 
                WHERE user_id = :user_id AND movie_id = :movie_id
            ";
            $update_stmt = $pdo->prepare($update_query);
            $update_stmt->bindParam(':watched', $watched, PDO::PARAM_INT);
            $update_stmt->bindParam(':backdrop_path', $backdrop_path, PDO::PARAM_STR);
            $update_stmt->bindParam(':user_id', $user_id, PDO::PARAM_INT);
            $update_stmt->bindParam(':movie_id', $movie_id, PDO::PARAM_INT);
            $update_stmt->execute();
        } else {
            // Yeni kayıt oluştur
            $watched = 1;
            $insert_query = "
                INSERT INTO user_movies (user_id, movie_id, watched, backdrop_path) 
                VALUES (:user_id, :movie_id, :watched, :backdrop_path)
            ";
            $insert_stmt = $pdo->prepare($insert_query);
            $insert_stmt->bindParam(':user_id', $user_id, PDO::PARAM_INT);
            $insert_stmt->bindParam(':movie_id', $movie_id, PDO::PARAM_INT);
            $insert_stmt->bindParam(':watched', $watched, PDO::PARAM_INT);
            $insert_stmt->bindParam(':backdrop_path', $backdrop_path, PDO::PARAM_STR);
            $insert_stmt->execute();
        }

        echo json_encode(['watched' => $watched]);
    } catch (PDOException $e) {
        echo json_encode(['error' => $e->getMessage()]);
    }
} else {
    echo json_encode(['error' => 'Geçersiz istek.']);
}
?>
