<!DOCTYPE html>
<html lang="tr">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Foxy Analiz Raporu</title>

    <!-- Google Fonts -->
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap" rel="stylesheet">

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

    <style>
        body {
            background: linear-gradient(120deg, #f8fafc, #e9ecef);
            font-family: 'Roboto', sans-serif;
            color: #495057;
        }

        .header {
            text-align: center;
            padding: 40px 0;
            background: linear-gradient(135deg, #4f46e5, #3b82f6);
            color: white;
            border-radius: 0 0 30px 30px;
        }

        .header h1 {
            font-size: 3rem;
            margin-bottom: 10px;
        }

        .header p {
            font-size: 1.2rem;
        }

        .card {
            border: none;
            border-radius: 1.5rem;
            transition: all 0.3s ease;
            box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
        }

        .card:hover {
            transform: translateY(-5px);
            box-shadow: 0 8px 40px rgba(0, 0, 0, 0.2);
        }

        .icon {
            font-size: 3rem;
            color: #1669db;
        }

        footer {
            padding: 30px 0;
            background-color: #212529;
            color: white;
            text-align: center;
            margin-top: 50px;
            border-radius: 20px 20px 0 0;
        }

        .footer-link {
            color: #3b82f6;
            text-decoration: none;
        }

        .footer-link:hover {
            text-decoration: underline;
        }

        .chart-container {
            margin-top: 40px;
            padding: 20px;
            background: white;
            border-radius: 1.5rem;
            box-shadow: 0 4px 20px rgba(0, 0, 0, 0.1);
        }
    </style>
</head>

<body>

    <?php
    // Veritabanı bağlantısı
    $servername = "localhost"; // Sunucu adı
    $username = "mfudagqs_ebu"; // Veritabanı kullanıcı adı
    $password = "8*%+b,h8Qg_%"; // Veritabanı şifresi
    $dbname = "mfudagqs_foxy"; // Veritabanı adı

    try {
        $conn = new PDO("mysql:host=$servername;dbname=$dbname;charset=utf8", $username, $password);
        $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

        // 1. Toplam Film Sayısı
        $stmt = $conn->query("SELECT COUNT(*) as total_movies FROM movies");
        $totalMovies = number_format($stmt->fetch(PDO::FETCH_ASSOC)['total_movies'], 0, ',', '.');

        // 2. En Eski ve En Yeni Filmler
        $stmt = $conn->query("SELECT id, title, release_date FROM movies ORDER BY release_date ASC LIMIT 1");
        $oldestMovie = $stmt->fetch(PDO::FETCH_ASSOC);

        $stmt = $conn->query("SELECT id, title, release_date FROM movies ORDER BY release_date DESC LIMIT 1");
        $newestMovie = $stmt->fetch(PDO::FETCH_ASSOC);

        // 3. En Uzun ve En Kısa Filmler
        $stmt = $conn->query("SELECT id, title, duration FROM movies ORDER BY duration DESC LIMIT 1");
        $longestMovie = $stmt->fetch(PDO::FETCH_ASSOC);

        $stmt = $conn->query("SELECT id, title, duration FROM movies ORDER BY duration ASC LIMIT 1");
        $shortestMovie = $stmt->fetch(PDO::FETCH_ASSOC);

        // 4. En Sık Gönderi Yapan Kullanıcı
        $stmt = $conn->query("SELECT user_id, COUNT(*) as movie_count FROM movies GROUP BY user_id ORDER BY movie_count DESC LIMIT 1");
        $mostActiveUser = $stmt->fetch(PDO::FETCH_ASSOC);
        $mostActiveUser['movie_count'] = number_format($mostActiveUser['movie_count'], 0, ',', '.');

        // Eğer kullanıcı ID yoksa "Misafir" olarak göster
        $mostActiveUserId = $mostActiveUser['user_id'] ? $mostActiveUser['user_id'] : 'Misafir';

        // 5. Yıl Bazında Film Sayısı
        $stmt = $conn->query("SELECT YEAR(release_date) as year, COUNT(*) as count FROM movies GROUP BY YEAR(release_date) ORDER BY year DESC");
        $moviesByYear = $stmt->fetchAll(PDO::FETCH_ASSOC);
    } catch (PDOException $e) {
        echo "Bağlantı hatası: " . $e->getMessage();
        exit;
    }

    // Bağlantıyı kapatma
    $conn = null;
    ?>

    <div class="header">
        <h1>Foxy Analiz Raporu</h1>
        <p>Filmler ve Kullanıcı Etkileşimleri Hakkında Detaylar</p>
    </div>

    <div class="container my-5">
        <div class="row">
            <!-- Toplam Film Sayısı Kartı -->
            <div class="col-md-4 mb-4">
                <div class="card p-4 text-center">
                    <div>
                        <i class="icon fas fa-film"></i>
                    </div>
                    <h5 class="mt-3">Toplam Film Sayısı</h5>
                    <h2 class="text-primary"><?php echo $totalMovies; ?></h2>
                </div>
            </div>

            <!-- En Eski Film Kartı -->
            <div class="col-md-4 mb-4">
                <div class="card p-4 text-center">
                    <div>
                        <i class="icon fas fa-clock"></i>
                    </div>
                    <h5 class="mt-3">En Eski Film</h5>
                    <a href="movie.php?id=<?php echo $oldestMovie['id']; ?>" class="text-primary font-weight-bold"><?php echo $oldestMovie['title']; ?></a>
                    <p class="text-muted"><?php echo $oldestMovie['release_date']; ?></p>
                </div>
            </div>

            <!-- En Yeni Film Kartı -->
            <div class="col-md-4 mb-4">
                <div class="card p-4 text-center">
                    <div>
                        <i class="icon fas fa-star"></i>
                    </div>
                    <h5 class="mt-3">En Yeni Film</h5>
                    <a href="movie.php?id=<?php echo $newestMovie['id']; ?>" class="text-primary font-weight-bold"><?php echo $newestMovie['title']; ?></a>
                    <p class="text-muted"><?php echo $newestMovie['release_date']; ?></p>
                </div>
            </div>
        </div>

        <div class="row">
            <!-- En Uzun Film Kartı -->
            <div class="col-md-4 mb-4">
                <div class="card p-4 text-center">
                    <div>
                        <i class="icon fas fa-hourglass-start"></i>
                    </div>
                    <h5 class="mt-3">En Uzun Film</h5>
                    <a href="movie.php?id=<?php echo $longestMovie['id']; ?>" class="text-primary font-weight-bold"><?php echo $longestMovie['title']; ?></a>
                    <p class="text-muted"><?php echo number_format($longestMovie['duration'], 0, ',', '.'); ?> dakika</p>
                </div>
            </div>

            <!-- En Kısa Film Kartı -->
            <div class="col-md-4 mb-4">
                <div class="card p-4 text-center">
                    <div>
                        <i class="icon fas fa-hourglass-end"></i>
                    </div>
                    <h5 class="mt-3">En Kısa Film</h5>
                    <a href="movie.php?id=<?php echo $shortestMovie['id']; ?>" class="text-primary font-weight-bold"><?php echo $shortestMovie['title']; ?></a>
                    <p class="text-muted"><?php echo number_format($shortestMovie['duration'], 0, ',', '.'); ?> dakika</p>
                </div>
            </div>

            <!-- En Sık Gönderi Yapan Kullanıcı Kartı -->
            <div class="col-md-4 mb-4">
                <div class="card p-4 text-center">
                    <div>
                        <i class="icon fas fa-user"></i>
                    </div>
                    <h5 class="mt-3">En Sık Gönderi Yapan Kullanıcı</h5>
                    <p class="text-primary font-weight-bold"><?php echo $mostActiveUserId; ?></p>
                    <p class="text-muted">Gönderi Sayısı: <?php echo $mostActiveUser['movie_count']; ?></p>
                </div>
            </div>
        </div>

        <!-- Film Sayısı Grafiği -->
        <div class="chart-container my-5">
            <canvas id="moviesChart"></canvas>
        </div>

        <footer>
            <p>© 2024 Foxy Platform. Tüm Hakları Saklıdır.</p>
            <p><a href="#" class="footer-link">İletişim</a> | <a href="#" class="footer-link">Gizlilik Politikası</a></p>
        </footer>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
    <script>
        const ctx = document.getElementById('moviesChart').getContext('2d');
        const years = <?php echo json_encode(array_column($moviesByYear, 'year')); ?>;
        const counts = <?php echo json_encode(array_column($moviesByYear, 'count')); ?>;

        const moviesChart = new Chart(ctx, {
            type: 'line',
            data: {
                labels: years,
                datasets: [{
                    label: 'Yıl Bazında Film Sayısı',
                    data: counts,
                    backgroundColor: 'rgba(67, 56, 202, 0.3)',
                    borderColor: 'rgba(67, 56, 202, 1)',
                    borderWidth: 2,
                    tension: 0.3
                }]
            },
            options: {
                responsive: true,
                scales: {
                    y: {
                        beginAtZero: true,
                        title: {
                            display: true,
                            text: 'Film Sayısı'
                        }
                    },
                    x: {
                        title: {
                            display: true,
                            text: 'Yıllar'
                        }
                    }
                }
            }
        });
    </script>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
</body>

</html>